Retail Express API 2.1
Searches Voucher Types by parameters
Searches Voucher Types by parameters
get
https://api.retailexpress.com.au/v2.1/vouchertypes
Query Parameters
order_bystring | null
Order by.
Available field name values: id, name
Available direction values: asc, desc.
Example: id asc, name desc
page_numberinteger(int32)
>= 1<= 100000
page_sizeinteger(int32)
>= 1<= 2147483647
Headers
x-api-keystringrequired
Api subscription key
Cache-Controlstring
Default:no-cache
Authorizationstringrequired
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
application/json
Paging Response with Voucher Types data
VoucherType.PagingResponse
* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/vouchertypes
Query Parameters
Headers
application/json
Gets specific Voucher Type by unique id
Gets specific Voucher Type by unique id
get
https://api.retailexpress.com.au/v2.1/vouchertypes/{id}
Path Parameters
idinteger(int32)required
Voucher Type id
Example:10000
Headers
x-api-keystringrequired
Api subscription key
Cache-Controlstring
Default:no-cache
Authorizationstringrequired
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
application/json
Returns found Voucher Type
VoucherType
* Additional properties are NOT allowed.
idinteger | null(int32)
Voucher type Id.
namestring | null
Voucher type code
voucher_textstring | null
Voucher type code
valid_for_daysinteger | null(int32)
Voucher type code
get/vouchertypes/{id}
Path Parameters
Headers
application/json
AccountCustomer
objectAccount customer view model
* Additional properties are NOT allowed.
credit_blockedboolean
Is credit blocked
credit_limitnumber(double)
Credit limit
credit_remainingnumber(double)
Credit remaining
enabledboolean
Is enabled
payment_termsinteger(int32)
Payment terms
Example
Attribute
object * Additional properties are NOT allowed.
idinteger(int32)
Attribute Id
namestring
Attribute Name
typestringread-only
Attribute Type
modified_onstring(date-time)
valueobject
* Additional properties are NOT allowed.
Show Child Parameters
Example
Attribute.PagingResponse
object * Additional properties are NOT allowed.
dataarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
Example